libdistorm3-dev_3.3.4-2_amd64.deb


Advertisement

Description

libdistorm3-dev - powerful disassembler library for x86/AMD64 binary streams (development files)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name libdistorm3-dev
Package version 3.3.4
Package release 2
Package architecture amd64
Package type deb
Installed size 58 B
Download size 15.09 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
libdistorm3-dev_3.3.4-2_i386.deb 3.3.4 i386 Debian Main
libdistorm3-dev - - -

Requires

Name Value
libdistorm3-3 = 3.3.4-2

Download

Type URL
Binary Package libdistorm3-dev_3.3.4-2_amd64.deb
Source Package distorm3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdistorm3-dev deb package:
    # sudo apt-get install libdistorm3-dev

Files

Path
/usr/include/distorm3/distorm.h
/usr/include/distorm3/mnemonics.h
/usr/lib/libdistorm3.so
/usr/share/doc/libdistorm3-dev/changelog.Debian.gz
/usr/share/doc/libdistorm3-dev/copyright

Changelog

2016-11-05 - Joao Eriberto Mota Filho <eriberto@debian.org>
distorm3 (3.3.4-2) unstable; urgency=medium
* Bumped DH level to 10.
* debian/patches/: added 20_reproducible_build.patch to make the build
reproducible. Thanks to Reiner Herrmann <reiner@reiner-h.de>.
(Closes: #843245)
2016-07-03 - Joao Eriberto Mota Filho <eriberto@debian.org>
distorm3 (3.3.4-1) unstable; urgency=medium
* New upstream release.
* debian/control: bumped Standards-Version to 3.9.8.
* debian/copyright:
- Changed the licensing for upstream and packaging. The upstream is using
BSD-4-Clause now. The packaging will use BSD-3-Clause.
- Added rights for src/decoder.h file, under GPL-3+.
- Removed the redundant block about python/distorm3/*.
- Updated the upstream copyright years.
* debian/patches/10_fix_init_python.patch: updated to be compliant with new
upstream source code.
* debian/libdistorm3-dev.links: updated to link against to 3.3.4 upstream
version.
* debian/libdistorm3-3.links: updated to link against to 3.3.4 upstream
version.
* debian/rules: bumped the lib real version to 3.3.4.
2016-03-17 - Joao Eriberto Mota Filho <eriberto@debian.org>
distorm3 (3.3.0-4) unstable; urgency=medium
* debian/control:
- Bumped Standards-Version to 3.9.7.
- Changed from cgit to git in Vcs-Browser field.
- Updated the Vcs-* fields to use https instead of http and git.
* debian/copyright: updated the packaging copyright years.
* debian/libdistorm3-dev.install: moved include/ dir from /usr/lib to
/usr. Thanks to Christopher Wellons <wellons@nullprogram.com>.
(Closes: #818192)
* debian/libdistorm3-3.README.Debian: updated.
* debian/patches/fix_init_python: renamed to 10_fix_init_python.patch.
* debian/rules:
- Added the suffix -arch to override_dh_install target name to avoid
a FTBFS when building architecture-independent packages only. Thanks
to Santiago Vila <sanvila@debian.org>. (Closes: #806016)
- Changed the variables names from LIBRVERSION to LIB_R_VERSION and
LIBSVERSION to LIB_S_VERSION to make an easy visualization.
- Removed the --parallel option from dh.
* debian/watch:
- Bumped to version 4.
- Removed the extra source to avoid conflicts with uscan.
2015-09-12 - Joao Eriberto Mota Filho <eriberto@debian.org>
distorm3 (3.3.0-3) unstable; urgency=medium
* New upstream homepage.
2015-05-05 - Joao Eriberto Mota Filho <eriberto@debian.org>
distorm3 (3.3.0-2) unstable; urgency=medium
* Upload to unstable.
2015-02-24 - Joao Eriberto Mota Filho <eriberto@debian.org>
distorm3 (3.3.0-1) experimental; urgency=medium
* New upstream release.
* debian/copyright:
- Added the 'Files: python/distorm3/*' block.
- Updated the packaging and upstream copyright years.
* debian/libdistorm3-3.links: updated to point to 3.3.0 version.
* debian/libdistorm3-dev.links: updated to point to 3.3.0 version.
* debian/libdistorm3-3.symbols: updated the symbols.
* debian/pydist-overrides: added to override the dh_python2 error
while trying read the non-existent file requires.txt.
* debian/rules: updated the lib real version.
2015-01-05 - Joao Eriberto Mota Filho <eriberto@debian.org>
distorm3 (3.0-3) experimental; urgency=medium
* debian/watch: added a new site to search (PyPI).
2014-10-26 - Joao Eriberto Mota Filho <eriberto@debian.org>
distorm3 (3.0-2) unstable; urgency=medium
* Bumped Standards-Version to 3.9.6.
* debian/control: added dh-python as build dependency.
2014-08-30 - Joao Eriberto Mota Filho <eriberto@debian.org>
distorm3 (3.0-1) unstable; urgency=low
* Initial release (Closes: #759767)

See Also

Package Description
libdistorm64-1_1.7.30-1_amd64.deb ultimate disassembler library for x86 code
libdistorm64-dev_1.7.30-1_amd64.deb ultimate disassembler library for x86 code - header files
libdistro-info-perl_0.18_all.deb information about distributions' releases (Perl module)
libdivsufsort-dev_2.0.1-3_amd64.deb libdivsufsort header files
libdivsufsort3_2.0.1-3_amd64.deb fast suffix array construction
libdjconsole-data_0.1.3-3_all.deb Hercules DJ Console access library - data files
libdjconsole-dev_0.1.3-3_amd64.deb Hercules DJ Console access library - development headers
libdjconsole0_0.1.3-3_amd64.deb Hercules DJ Console access library
libdjvulibre-dev_3.5.27.1-9_amd64.deb Development files for the DjVu image format
libdjvulibre-text_3.5.27.1-9_all.deb Linguistic support files for libdjvulibre
libdjvulibre21_3.5.27.1-9_amd64.deb Runtime support for the DjVu image format
libdkim-dev_1.0.21-4+b1_amd64.deb cryptographically identify the sender of email
libdkim1d_1.0.21-4+b1_amd64.deb cryptographically identify the sender of email
libdleyna-connector-dbus-1.0-1_0.2.0-1_amd64.deb DBus connector module for the dLeyna services
libdleyna-core-1.0-3_0.4.0-1+b2_amd64.deb Utility functions for higher level dLeyna components
Advertisement
Advertisement